/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* Image Blocks */
.image-box .elementor-image-box-wrapper {display: flex;justify-content: flex-start;}
.image-box .elementor-image-box-content{position:absolute;top:0;display:flex; flex-direction:column;padding:1.5rem}
.image-box .elementor-image-box-content :is(h1, h2, h3, h4, h5, h6){background: rgba(255, 255, 255, 0.6);transition:0.3s ease-in-out background; padding: 1.5rem 15%;width: fit-content; margin: 0 auto;}
.image-box:hover .elementor-image-box-content :is(h1, h2, h3, h4, h5, h6) {background: rgba(255, 255, 255, 0.9);}
.image-box figure.elementor-image-box-img {margin-bottom:0!important}
.image-box figure.elementor-image-box-img img{display:block}

.image-box.center .elementor-image-box-wrapper {align-items: center;}
.image-box.center .elementor-image-box-content{justify-content:center;}
.image-box.bottom .elementor-image-box-wrapper {align-items: flex-end;}
.image-box.bottom .elementor-image-box-content{justify-content:flex-end;}

.image-box.decorator .elementor-image-box-wrapper {align-items: flex-end}
.image-box.decorator .elementor-image-box-content{justify-content:flex-end;width:100%!important; padding:0.5rem!important}

/* Header */
.quote {font-family:var(--e-global-typography-secondary-font-family); font-weight:400; color:var(--e-global-color-primary);font-style:italic;}
.quote p {font-weight:600; font-size:16px!important;line-height:1.7; padding:0; margin:0;color:#000000; font-style:normal!important}

/* Woocommerce */
.variable-product {font-family:var(--e-global-typography-secondary-font-family); font-size:0.8rem; font-weight:400; color: var(--e-global-color-primary);text-align:center}
.select2-container--default .select2-selection--single .select2-selection__rendered {line-height: 35px!important;padding-top:0!important; padding-bottom:0!important}
.select2-container .select2-selection--single {height:35px!important}
.select2-container--default .select2-selection--single .select2-selection__arrow {height:35px!important}
.select2-container--default .select2-selection--single .select2-selection__rendered {color:#1a1a1a!important; font-size:0.9rem; }
.select2-container--default .select2-selection--single {border-color:#1a1a1a!important; border-radius:0!important}

/* Product Rollover */
.image-main {opacity:1;transition:0.2s ease all;z-index:2;}
.image-rollover {z-index:1;}
.product-image:hover .image-main {opacity:0;}

/* Product Upsell Loop */
.variation-upsells-grid {grid-auto-rows: 1fr;grid-column-gap: var(--grid-column-gap, 30px);
    grid-row-gap: var(--grid-row-gap, 30px);    grid-template-columns: repeat(4, 1fr);    display: grid
;}
.variation-upsells-grid  .elementor-heading-title{font-size: 1.3rem;color: var(--e-global-color-primary);}
.variation-upsells-grid .elementor-element {text-align: center;
}
.variation-upsells-grid .elementor-widget-container {text-align: center;}

.elementor-blockquote__author {font-weight:400!important}


/* Instagram feed */
#sb_instagram {padding-bottom: 10px;display: flex; flex-wrap: wrap;align-items: center;}
#sb_instagram .sb_instagram_header {order: 1;
    flex-basis: 50%;}
#sb_instagram #sbi_images {    order: 3;
    flex-basis: 100%;}
#sb_instagram #sbi_load {order: 2;
    flex-basis: 50%;
    justify-content: flex-end;
    display: flex
;}